public class StackTest {
   public static void main(String[] args) {
      if (args.length != 2) {
         System.err.println("Usage: java StackTest <number> (List|Array)");
         System.exit(-1);
      }
      int n = Integer.parseInt(args[0]);
      Stack s = args[1].equals("List") ? new ListStack() : new ArrayStack();
      long start = System.currentTimeMillis();
      for (int i = 0; i != n; i++) {
         s.push(i);
      }
      long end = System.currentTimeMillis();
      System.out.println("Time: " + (end - start));
      System.out.println("Last Value: " + s.pop());
   }
}